import z from 'zod';
import { ChannelId } from '../channel/types';
export declare const SEPARATOR = "::";
export declare const payinApiSrcCompositeParser: z.ZodEffects<z.ZodString, {
    type: "user";
    id: import("../user/types").UserIdBrand;
}, string>;
export declare const payinApiDstCompositeParser: z.ZodEffects<z.ZodString, {
    type: "channel";
    id: ChannelId;
}, string>;
export declare const payinApiSrcDstCompositeParserOptional: z.ZodObject<{
    src: z.ZodOptional<z.ZodEffects<z.ZodString, {
        type: "user";
        id: import("../user/types").UserIdBrand;
    }, string>>;
    dst: z.ZodOptional<z.ZodEffects<z.ZodString, {
        type: "channel";
        id: ChannelId;
    }, string>>;
}, "strip", z.ZodTypeAny, {
    src?: {
        type: "user";
        id: import("../user/types").UserIdBrand;
    } | undefined;
    dst?: {
        type: "channel";
        id: ChannelId;
    } | undefined;
}, {
    src?: string | undefined;
    dst?: string | undefined;
}>;
export declare const payinApiSrcDstCompositeParser: z.ZodObject<{
    src: z.ZodEffects<z.ZodString, {
        type: "user";
        id: import("../user/types").UserIdBrand;
    }, string>;
    dst: z.ZodEffects<z.ZodString, {
        type: "channel";
        id: ChannelId;
    }, string>;
}, "strip", z.ZodTypeAny, {
    src: {
        type: "user";
        id: import("../user/types").UserIdBrand;
    };
    dst: {
        type: "channel";
        id: ChannelId;
    };
}, {
    src: string;
    dst: string;
}>;
export declare const payinListQueryParser: z.ZodObject<z.extendShape<z.extendShape<{
    limit: z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}, {
    offset: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}>, {
    src: z.ZodOptional<z.ZodEffects<z.ZodString, {
        type: "user";
        id: import("../user/types").UserIdBrand;
    }, string>>;
    dst: z.ZodOptional<z.ZodEffects<z.ZodString, {
        type: "channel";
        id: ChannelId;
    }, string>>;
}>, "strip", z.ZodTypeAny, {
    limit?: number | undefined;
    src?: {
        type: "user";
        id: import("../user/types").UserIdBrand;
    } | undefined;
    dst?: {
        type: "channel";
        id: ChannelId;
    } | undefined;
    offset: number;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
    src?: string | undefined;
    dst?: string | undefined;
}>;
export declare const payinAmountParser: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
export declare const payinUnitParser: z.ZodEnum<["AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BMD", "BND", "BOB", "BOV", "BRL", "BSD", "BTN", "BWP", "BYN", "BZD", "CAD", "CDF", "CHE", "CHF", "CHW", "CLF", "CNY", "COP", "COU", "CRC", "CUC", "CUP", "CVE", "CZK", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "KES", "KGS", "KHR", "KPW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MKD", "MMK", "MNT", "MOP", "MRU", "MUR", "MVR", "MWK", "MXN", "MXV", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "QAR", "RON", "RSD", "RUB", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SSP", "STN", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TZS", "UAH", "USD", "USN", "UYI", "UYU", "UYW", "UZS", "VES", "WST", "XAG", "XAU", "XBA", "XBB", "XBC", "XBD", "XCD", "XDR", "XPD", "XPT", "XSU", "XTS", "XUA", "XXX", "YER", "ZAR", "ZMW", "ZWL", "BIF", "PYG", "CLP", "RWF", "DJF", "UGX", "GNF", "VND", "JPY", "VUV", "KMF", "XAF", "KRW", "XOF", "MGA", "XPF", ...("UGX" | "HUF" | "TWD")[]]>;
export declare const payinApiAmountParser: z.ZodObject<{
    amt: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
}, "strip", z.ZodTypeAny, {
    amt: number;
}, {
    amt: string | number;
}>;
export declare const payinAmountUnitParser: z.ZodObject<z.extendShape<{
    unit: z.ZodEnum<["AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BMD", "BND", "BOB", "BOV", "BRL", "BSD", "BTN", "BWP", "BYN", "BZD", "CAD", "CDF", "CHE", "CHF", "CHW", "CLF", "CNY", "COP", "COU", "CRC", "CUC", "CUP", "CVE", "CZK", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "KES", "KGS", "KHR", "KPW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MKD", "MMK", "MNT", "MOP", "MRU", "MUR", "MVR", "MWK", "MXN", "MXV", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "QAR", "RON", "RSD", "RUB", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SSP", "STN", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TZS", "UAH", "USD", "USN", "UYI", "UYU", "UYW", "UZS", "VES", "WST", "XAG", "XAU", "XBA", "XBB", "XBC", "XBD", "XCD", "XDR", "XPD", "XPT", "XSU", "XTS", "XUA", "XXX", "YER", "ZAR", "ZMW", "ZWL", "BIF", "PYG", "CLP", "RWF", "DJF", "UGX", "GNF", "VND", "JPY", "VUV", "KMF", "XAF", "KRW", "XOF", "MGA", "XPF", ...("UGX" | "HUF" | "TWD")[]]>;
}, {
    amt: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
}>, "strip", z.ZodTypeAny, {
    amt: number;
    unit: "USD" | "EUR" | "BIF" | "PYG" | "CLP" | "RWF" | "DJF" | "UGX" | "GNF" | "VND" | "JPY" | "VUV" | "KMF" | "XAF" | "KRW" | "XOF" | "MGA" | "XPF" | "HUF" | "TWD" | "AED" | "AFN" | "ALL" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "KES" | "KGS" | "KHR" | "KPW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MYR" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "QAR" | "RON" | "RSD" | "RUB" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TZS" | "UAH" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "WST" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XPD" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
}, {
    amt: string | number;
    unit: "USD" | "EUR" | "BIF" | "PYG" | "CLP" | "RWF" | "DJF" | "UGX" | "GNF" | "VND" | "JPY" | "VUV" | "KMF" | "XAF" | "KRW" | "XOF" | "MGA" | "XPF" | "HUF" | "TWD" | "AED" | "AFN" | "ALL" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "KES" | "KGS" | "KHR" | "KPW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MYR" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "QAR" | "RON" | "RSD" | "RUB" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TZS" | "UAH" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "WST" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XPD" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
}>;
